@echo off
REM Sets the IIS Anonymous User and the IWAM User name to ones specified in
REM %1 and %2 respectively (or 'IUSR' and 'IWAM' if not specified)

REM Note that the password for the IWAM user can be set as follows:
REM cscript /nologo %SystemDrive%\Inetpub\AdminScripts\adsutil.vbs SET w3svc/WAMUserPass "password"

REM Also note that you can see the password in plain text in our modified
REM version of adsutil.vbs for various sites as follows:
REM cscript /nologo adsutil.vbs GET w3svc/WAMUserPass /S
REM cscript /nologo adsutil.vbs GET w3svc/AnonymousUserPass /S
REM cscript /nologo adsutil.vbs GET MSFTPSVC/AnonymousUserPass /S
REM cscript /nologo adsutil.vbs GET w3svc/1/AnonymousUserPass /S

REM If you have Web Sites configured to run out-of-process applications, you may also
REM need to set the IWAM username and password in COM+ configuration as follows:
REM Launch the Component Services MMC to open the CSM console. 
REM Click to expand the Component Services, Computers, My Computer,
REM and COM+ Applications nodes. Under COM+ Applications, right-click the package
REM for your Web application (In IIS 6.0, it might be the "IIS Out-Of-Process
REM Pooled Applications" package) and then click Properties. The Identity tab
REM is where you would configure the username and password for the IWAM user.
REM
REM Also, in Windows 2003/XP? in CSM console expand DCOM Config (on earlier
REM versions of Windows run dcomcnfg.exe).  Find Machine Debug Manager (if not
REM listed, run mdm.exe /regserver).  Right-click on it and choose properties
REM in CSM console or highlight and click on Properties button in dcomcnfg.exe
REM On the Security tab, make sure that both the Launch and Access permissions are
REM granted to the IWAM user in addition to Interactive, System and Administrators.

if not exist %SystemDrive%\Inetpub\AdminScripts\adsutil.vbs goto quit

SETLOCAL

set WAMUserName=IWAM
set AnonymousUserName=IUSR

if NOT '%1'=='' set AnonymousUserName=%1
set AnonymousUserName=%AnonymousUserName:"=%

if NOT '%2'=='' set WAMUserName=%2
set WAMUserName=%WAMUserName:"=%

cscript /nologo %SystemDrive%\Inetpub\AdminScripts\adsutil.vbs SET w3svc/AnonymousUserName "%AnonymousUserName%"
cscript /nologo %SystemDrive%\Inetpub\AdminScripts\adsutil.vbs SET w3svc/WAMUserName "%WAMUserName%"


ENDLOCAL

:quit