@echo off
REM Make sure that RunMe has completed here at least at v1 and that it's not currently running
IF NOT EXIST %windir%\am\rmver.bat goto exit
IF EXIST %windir%\am\rmboot.bat goto exit
IF EXIST %windir%\am\running.dat goto exit

set COPYCMD=/y

REM Set the ProgramFiles variable
if NOT "%ProgramFiles%"=="" goto skipPF
if exist %temp%\tmpset.bat del %temp%\tmpset.bat
%0\..\kix32 %0\..\ProgramFiles.scr $Output=%temp%\tmpset.bat
if exist %temp%\tmpset.bat call %temp%\tmpset.bat
if exist %temp%\tmpset.bat del %temp%\tmpset.bat
if "%ProgramFiles%"=="" set ProgramFiles=C:\Program Files
:skipPF

REM Set the Outlook Version Variable
type %windir%\am\rmver.bat|find /I "set OUTVER=">%temp%\tmpset.bat
if exist %temp%\tmpset.bat call %temp%\tmpset.bat
if exist %temp%\tmpset.bat del %temp%\tmpset.bat

IF !%OS%==!Windows_NT goto nt

:Win9x
if "%HOMEDRIVE%"=="" set HOMEDRIVE=I:
if exist %HOMEDRIVE%\installed goto exit
set SET_TARGETDIR=%HOMEDRIVE%
goto common

:nt
if exist "%USERPROFILE%\installed" goto exit
set SET_TARGETDIR=%USERPROFILE%
set SET_START_TITLE=""

:common
REM Restore the Office 2000/2002/2003 Profile Wizard Settings (covers FindFast & Places):
if exist "%ProgramFiles%\ORKTools\ORK11\Tools\Profile Wizard\PROFLWIZ.EXE" if exist %0\..\settings11.ops start /wait %SET_START_TITLE% "%ProgramFiles%\ORKTools\ORK11\Tools\Profile Wizard\PROFLWIZ.EXE" /r %0\..\settings11.ops /d /q /p
if exist "%ProgramFiles%\ORKTools\ORK10\Tools\PROFLWIZ.EXE" if exist %0\..\settings10.ops start /wait %SET_START_TITLE% "%ProgramFiles%\ORKTools\ORK10\Tools\PROFLWIZ.EXE" /r %0\..\settings10.ops /d /q /p
if exist "%ProgramFiles%\ORKTools\ToolBox\Tools\Office Profile Wizard\PROFLWIZ.EXE" if exist %0\..\settings9.ops start /wait %SET_START_TITLE% "%ProgramFiles%\ORKTools\ToolBox\Tools\Office Profile Wizard\PROFLWIZ.EXE" /r %0\..\settings9.ops /d

REM Set the User's Full Name and Initials for MS Office in the registry:
%0\..\kix32 %0\..\OfficeUser.scr

REM Set up the MAPI profile and related settings:
call %0\..\genprof.bat

REM Configure Netscape 4.x and create a Netscape profile
if not exist "%ProgramFiles%\Netscape\Communicator\Program\netscape.exe" goto noNetscape
set NETPRFPATH=
if NOT '%NETPRFPATH%'=='' call %0\..\netscape.bat
:noNetscape

REM Set certain registry settings to customize a generic profile for this user
if exist %0\..\settings.reg call %0\..\setreg.bat %0\..\settings.reg

REM Pre-set MSN/Exchange Messenger Contacts
if exist %0\..\MessengerContacts.reg call %0\..\setreg.bat %0\..\MessengerContacts.reg

REM Run a customer specific batch file if it exists
if exist %0\..\custom_settings.bat call %0\..\custom_settings.bat

REM Place a placeholder file in the appropriate location (OS-specific)
copy "%0\..\template.prf" "%SET_TARGETDIR%\installed"

:exit
set SET_TARGETDIR=
set SET_START_TITLE=
cls
exit